LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStringWidth Interface Referencepublished

An interface that encapsulates the abstract notion of string width. More...

`import"XStringWidth.idl";`

Inheritance diagram for XStringWidth:

## Public Member Functions
long | queryStringWidth ([in] string aString)
| compute the width of a given string. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interface that encapsulates the abstract notion of string width.

See also
  XStringAbbreviation

## Member Function Documentation

## ◆ queryStringWidth()

long queryStringWidth | ( | [in] string | aString | ) |

compute the width of a given string.

Depending on the implementation of this interface, the width of a string can be rather different things, like the number of characters in the string, or the width in pixel when displayed with a specific font.

Parameters

  aString | The string that is to be measured.

Returns
  the string's width.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XStringWidth.idl